Groovy 1.7.0

## org.codehaus.groovy.runtime.dgmimpl.arrays
Class FloatArrayPutAtMetaMethod.MyPojoMetaMethodSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaMethodSite
                  org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite
                      org.codehaus.groovy.runtime.dgmimpl.arrays.FloatArrayPutAtMetaMethod.MyPojoMetaMethodSite

    class FloatArrayPutAtMetaMethod.MyPojoMetaMethodSite
    extends PojoMetaMethodSite

Field Summary

Fields inherited from class PojoMetaMethodSite
version

Fields inherited from class MetaMethodSite
params

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`FloatArrayPutAtMetaMethod.MyPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)`

Method Summary
`Object` | `call(Object receiver, Object[] args)`
`Object` | `call(Object receiver, Object arg1, Object arg2)`

Methods inherited from class PojoMetaMethodSite
call, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, checkPojoMetaClass, createCachedMethodSite, createNonAwareCallSite, createPojoMetaMethodSite, invoke

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage, noCoerce, noWrappers

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### FloatArrayPutAtMetaMethod.MyPojoMetaMethodSite

    public FloatArrayPutAtMetaMethod.MyPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)

Method Detail

### call

    public Object call(Object receiver, Object[] args)

### call

    public Object call(Object receiver, Object arg1, Object arg2)

Copyright © 2003-2009 The Codehaus. All rights reserved.